Subject: [Ecrit] ECRIT requirements - Comments to Rx and Ax

From: "Stastny Richard" <[email-masked]>
Date: Tue, 10 May 2005 14:25:17 +0200

Dear all,
 
I want to repeat my comments on the ecrit list to the ecrit-reqirements not dealt with
by Roger yet in the published draft-schulzrinne-ecrit-requirements-00

R2 International
see discussion on A1 on Universal and Global

R4 Multiple Modes

Maybe we have to split this:
IPSAPs MUST support multiple modes
Devices MAY support multiple modes, but which mode
is supported depends on the device capabilities.
It is recommended that devices support at least voice.

Comments to Section 4 - Ax

Starting backwards from the Ed. Comment to A7
Clarification sought on whether 9-1-1 equates to local
or universal

I think we first have to reach consitency with the terms
International/universal/global (which are used inconsistently
in the document)and with local/(national)

I personally prefer Global - local,
Because international is something in between
but in any case the terms need to be included in the
terminology and explained, especially that global is
global and international is used in more than one
country and local means in most cases also national,
and that the NANP local means within the NANP region (puh)

In addition we need a definition of:
Foreign local (where you currently are)
and
Home local (where you are from)

Now we run into the problem of defining 911 and 112.
Both are international, but according what I said
above 911 is also local.

So
A1 should either be International or Global

Since I proposed 911 and 112 as global identifiers,
We need to update the text in the remaining reqs.

A2.

I suggest reconsidering the whole requirement,
taking the comments into account (3 reqs!)
What do we want to say?

1.UAs, proxies and call routers MUST recognize
the global identifiers,
2.they MUST/should/may? recognize the foreign local
identifiers
3. they MUST/should/may? recognize the home local (A7)

What to do if the home local clashes with a foreign local
short code? What takes precedence?

A3

Additional req: Since emergency calls must be recognized
By UA, proxies and other network elements, it is required
that local identifiers are converted to global identifiers.

This replaces eventually part of A7

Regards
Richard

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit